STK_silo(8)

NAME
ssi - StorageTek silo interface module
mini_el - event logger for use with ssi
libstlstk - shared library for communication to ssi

SYNOPSIS

ssi [ socket name ] & (UNIX only)
    mini_el [ -l logfile ] [ -d ] [ -h ] [ -v ] & (UNIX only)
    libstlstk.so (Solaris)
    libstlstk.so.a (AIX)
    libstlstk.sl (HPUX)
    libstlstk.so.1 (SGI)
    libstlstk.so.1 (SEQUENT)
    libstlstk.so (DECAXP)
    libstlstk.dll (NT: i386 and alpha)

DESCRIPTION
ssi and mini_el are required for NetWorker to communicate with a StorageTek silo. They are almost always run as background processes, and are usually started automatically by the system. In addition to ssi and mini_el , a shared library file (usually called libstlstk.xxx where xxx is an operating system dependent extension) is also required.

The ssi command is used indirectly by nsrjb to communicate with a StorageTek library server (either ACSLS or Library Station). nsrjb makes calls to libstlstk , which then calls into ssi. ssi maintains the connection to the library server. Before ssi is started, one environment variable MUST be set: CSI_HOSTNAME must be set to the name of the library server. If this variable is not found, ssi will exit with an error message.

mini_el is an event logger used by ssi to maintain a log of certain events. It should be started before ssi.

libstlstk.xxx is a shared library that handles the communication between nsrjb and ssi. ssi then handles the communication over the network to the library server (either ACSLS or Library Station). There are no options, parameters or environment variables that affect the operation of libstlstk. The correct path to this file should be entered when an STK silo is configured using jbconfig. The default values specified by jbconfig match the default locations chosen for the installation program, and in most cases can be accepted.

OPTIONS

  mini_el

-l  logfile Specifies the filename of the logfile to be created by mini_el. The default value is /nsr/logs/ssi_event.log. If present, logfile must be the complete path to the logfile. If the file does not exist, it will be created. If the file does exist, it will be appended to. If there is not a -l parameter, the default logfile /nsr/logs/ssi_event.log will be used

-d  Sets the debug flag. mini_el will output some possibly useful debug information

-h  Displays usage information for mini_el

-v  Sets mini_el to use use old-style packets for communicating with older ACSLS versions

PARAMETERS

  ssi
The socket name parameter is only required if the ACSLS server is not communicating on port 50004 and the environment variable has not been set. The allowable range for this parameter is 0 to a 14 digit value, which is not checked for correctness until the socket is opened.

ENVIRONMENT VARIABLES

  ssi

CSI_HOSTNAME  (text, up to 32 chars, there is no default)
    This variable MUST be set for ssi to run. It is limited to 32 characters, and should simply be the hostname running the library server program that you are trying to connect to.

ACSAPI_PACKET_VERSION  (numeric, 1< x < 4, default = 4)
    This can be set if needed to talk to older library servers.

ACSAPI_SSI_SOCKET (numeric, 0 < x < 64k, default = 50004)
    If for some reason your library server is communicating on a port other than the default of 50004. This value is not checked until the socket is opened, so you need to be careful not to enter values that will not work. This is the socket value that is opened on the host that ssi is running on to listen to any host for connections.

SSI_BASE_SOCKET (numeric, 0 < x < 64k, no default)
    If you need to restrict the socket values that ssi communicates on, this variable specifies the starting number for ssi to use when it needs to open a socket to talk to the ACSLS server. It appears that ssi will only open two sockets if this variable is set. The first, at SSI_BASE_SOCKET will be used to connect to any host. The second, at SSI_BASE_SOCKET + 1, will be used for direct communication to the ACSLS server. Note that there will still be the default sockets at 50001 and 50004 used to communicate between mini_el and ssi, but any comminication between this host and the ACSLS server should occur using the two sockets starting at SSI_BASE_SOCKET.

TIME_FORMAT (time format string, default = %m-%d-%y%H:%M:%S")"
    If you wish to see time values printed in a format other than the default of Month-Day-Year Hour:Minute:Seconds, use this variable.
     %m is replaced by the current month
     %d is replaced by today's date
     %y is replaced by the current year
     %H is replaced by the current hour
     %M is replaced by the current minute
     %S is replaced by the current second

CSI_CONNECT_AGETIME  (seconds, 0 < x < 31536000, default = 600)
    This will set the number of seconds for network connect aging purposes.

CSI_RETRY_TIMEOUT  (seconds, 0 < x < ??, default = 4)
    This will set how long ssi will wait before retrying a network request.

CSI_RETRY_TRIES  (numeric, 0 < x < 100, default = 5)
    This will set the number of times ssi will retry a network message before reporing an error.

CSI_TCP_RPCSERVICE  (boolean, default is TRUE)
    This sets whether ssi will use TCP sockets to connect with the library server.

CSI_UDP_RPCSERVICE  (boolean, default is FALSE)
    This sets whether ssi will use UDP sockets to connect with the library server. Setting CSI_UDP_RPCSERVICE to TRUE will allow ssi to communitcate with a csi that is running on the same system

EXAMPLES

Normal STK silo setup:
    setenv CSI_HOSTNAME acsls1
    mini_el &
    ssi &

Communicate to ACSLS using only UDP sockets, which may allow you to run NetWorker on the same system that is running ACSLS. However, neither StorageTek nor Legato support this combination.
    setenv CSI_TCP_RPCSERVICE FALSE
    setenv CSI_UDP_RPCSERVICE TRUE
    mini_el &
    ssi &

Connect to ACSLS server on socket 55125
    setenv ACSAPI_SSI_SOCKET 55125
    setenv CSI_HOSTNAME acsls1
    mini_el &
    ssi &
  - or -
    setenv CSI_HOSTNAME acsls1
    mini_el &
    ssi 55125 &

To have mini_el use /nsr/logs/ssi.log.today as its log file
    setenv CSI_HOSTNAME acsls1
    mini_el -l /nsr/logs/ssi.log.today &
    ssi &

FILES

/nsr/logs/ssi_event.log
    default logfile created/appended to by mini_el

SEE ALSO
nsrjb(8), jbconfig(8), dasadmin(8), libstlemass(8), libstlibm(8)

DIAGNOSTICS
Errors in communication between the NetWorker server and the ACSLS server will be logged in the logfile /nsr/logs/ssi_event.log (or other logfile as specified on the mini_el command line).